Summary: Dynamic relay authorization control
Name: dracd
Version: 1.11
Release: 1
Copyright: BSD-like
Group: System Environment/Daemons
Url: http://mail.cc.umanitoba.ca/drac/
Source0: ftp://ftp.cc.umanitoba.ca/src/drac.tar.Z
Source1: dracd-init.d.source
Source2: dracd-rc.d.source
Source3: dracd.allow-sample
# Patch fixes makefile
Patch0: dracd.patch
BuildRoot: /var/tmp/dracd-root
Prereq: /sbin/chkconfig
Requires: portmap
BuildPrereq: db3-devel

%description
DRAC is a daemon that dynamically updates a relay authorization map
for sendmail. It provides a way to allow legitimate users to relay
mail through an SMTP server, while still preventing others from using
it as a spam relay. User's IP addresses are added to the map
immediately after they have authenticated to the POP or IMAP
server. By default, map entries expire after 30 minutes, but can be
renewed by additional authentication. Periodically checking mail on a
POP server is sufficient to do this. The POP and SMTP servers can be
on different hosts.

%prep
%setup -c -q
%patch0 -p1

%build
make

%install
# make install
# make install-man
install -d $RPM_BUILD_ROOT/%{_sbindir}
install -d $RPM_BUILD_ROOT/%{_initrddir}
install -d $RPM_BUILD_ROOT/%{_sysconfdir}/mail
install -d $RPM_BUILD_ROOT/%{_mandir}/man3
install -d $RPM_BUILD_ROOT/%{_mandir}/man8
install -d $RPM_BUILD_ROOT/%{_libdir}
install -m755 rpc.dracd $RPM_BUILD_ROOT/%{_sbindir}/
install -m644 dracauth.3 $RPM_BUILD_ROOT/%{_mandir}/man3/
install -m644 rpc.dracd.1m $RPM_BUILD_ROOT/%{_mandir}/man8/rpc.dracd.8
install -m644 $RPM_SOURCE_DIR/dracd.allow-sample $RPM_BUILD_ROOT/%{_sysconfdir}/mail/dracd.allow
install -m755 $RPM_SOURCE_DIR/dracd-init.d.source $RPM_BUILD_ROOT/%{_initrddir}/dracd
install -m755 $RPM_SOURCE_DIR/dracd-rc.d.source $RPM_BUILD_ROOT/%{_sbindir}/rc.dracd
install -m644 libdrac.a $RPM_BUILD_ROOT/%{_libdir}
install -m755 testing $RPM_BUILD_ROOT/%{_sbindir}/testdrac

%post
/sbin/chkconfig --add dracd

%preun
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del dracd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT Changes INSTALL PORTING README
%{_sbindir}/rpc.dracd
%{_sbindir}/rc.dracd
%{_sbindir}/testdrac
%{_libdir}/libdrac.a
%{_mandir}/man3/dracauth.3*
%{_mandir}/man8/rpc.dracd.8*
%config %{_initrddir}/dracd
%config(noreplace) %{_sysconfdir}/mail/dracd.allow

%changelog
* Sun Sep 9 2001 Kenneth Porter <shiva@well.com>
- drac 1.11, which adds db3 support.
- Use FHS macros in spec file.

* Thu Dec 14 2000 Kenneth Porter <shiva@well.com>
- Add testing program to package, renamed to testdrac

* Thu Nov 2 2000 Kenneth Porter <shiva@well.com>
- Move rc.dracd out of /etc
- Mark remaining /etc files (init file) as config
- Return a value from init script
- Add status to init script

* Mon Oct 30 2000 Kenneth Porter <shiva@well.com>
- Add Requires: portmap
- Make dracd.allow a config file
- Compressed man pages on newer RPM systems

* Sat Jul 1 2000 Kenneth Porter <shiva@well.com>
- Fix install for non-root packager
- Remove bogus address from default client allow file.
- Add chkconfig invocation to automatically install startup links.
- Move libdrac.a to %{_libdir}. No need for a directory of its own.

* Tue Oct 26 1999 Mike McHenry <mmchen@minn.net>
- First RPM build
